  /**
  * ! Changing default styles of the browser
  **/

  * {
    font-family: monospace;
      margin: 0;
      padding: 0;
      box-sizing: border-box;
    }
    
    body {
      width: 100%;
      height: 100%;
            background-image:linear-gradient(#235a8b8c,rgba(247, 92, 224, 0.428));
   font-family: sans-serif;
    }
    
    i {
      cursor: pointer;
    }
    
    a {
      text-decoration: none;
      color: rgba(31, 14, 14, 0.783);
    }
    
    /**
    * ! Navbar STyles are here
    **/
    .navbar h1{
      padding-right: 50px;
    }
    .navbar {
      border-bottom: #212529 solid 2px;
      font-size: x-large;
      display: flex;
      flex-direction: row;
      justify-content: center;
      text-align: center;
      padding-right: 50;
      margin-bottom: 40px;
      padding: 30px 100px;
    }
    
    .cart {
      position: relative;
      background-color: #fff;
      color: #212529;
      font-size: 30px;
      padding: 5px;
      border-radius: 4px;
    }
    
    .cartAmount {
      position: absolute;
      top: -15px;
      right: -10px;
      font-size: 16px;
      background-color: red;
      color: white;
      padding: 3px;
      border-radius: 3px;
    }
    
    /**
    * ! Shop items styles are here
    **/
    
    .shop {
      margin-top: 10rem;
      margin-bottom: 20rem;
      display: grid;
      grid-template-columns: repeat(4, 223px);
      gap: 80px;
      border-radius: 20px;
      justify-content: center;
      
    }
    
    @media (max-width: 1000px) {
      .shop {
        grid-template-columns: repeat(2, 223px);
      }
    }
    
    @media (max-width: 500px) {
      .shop {
        grid-template-columns: repeat(1, 223px);
      }
      .item:hover{
       display: none;
      }
    }
    

    .shop-img{
        width:;
    }


    .item {
      height: fit-content;
      cursor: pointer;
      position: relative;
      width: 250px;
      padding: 15px;
      border: #212529 solid;
      outline: 0;
      background-color: aliceblue;
      border-radius: 10px;
      transition: transform ease 0.5s;

    }
    .item:hover{
      background-color: rgba(237, 239, 240, 0.548);
      box-shadow: 5px 5px 10px#434344a3, -5px -5px 10px#434344a3;
      transform: scale(1.05);
    }
    
    .details {
      font-size: 1.5rem;
      display: flex;
      flex-direction: column;
      padding: 10px;
      gap: 10px;
    }
    
    .price-quantity {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
    }
    
    .buttons {
      display: flex;
      flex-direction: row;
      gap: 8px;
      font-size: 16px;
    }
    
    .bi-dash-lg {
      color: red;
    }
    
    .bi-plus-lg {
      color: green;
    }
    
    /**
    * ! style rules for label and some buttons
    **/
    
    .text-center {
      justify-content: center;
      align-items: center;
      text-align: center;
      font-size: xx-large;
            margin-bottom: 40px;
    }
    
    .HomeBtn,
    .checkout,
    .removeAll {
    width: auto;
      font-size: 2rem;
      font-weight: 300;
      background-color: #212529;
      color: white;
      border: none;
      padding: 10px;
      border-radius: 3px;
      cursor: pointer;
      margin-top: 10px;
    }
    
    .checkout {
      siz
      background-color: rgb(6, 150, 87);
    }
    .removeAll {
      background-color: rgb(130, 43, 43);
    }
    bi bi-dash-lg{
      font-weight: 600;
      font-size: 4rem;
    }
    .bi-x-lg {
      width: 30px;
      height: 30px;
      border-radius: 25px;
      text-align: center;
      justify-content: center;
      padding-top: 0.5rem;
      background-color: aliceblue;
      color: rgb(0, 0, 0);
      font-weight: bold;
    }
    
    /**
    * ! style rules for shopping-cart
    **/
    
    .shopping-cart {
      margin-bottom: 20rem;

      display: flex;
      grid-template-columns: repeat(1, 320px);
      justify-content: center;
      gap: 15px;
    }
    
    /**
    * ! style rules for cart-item
    **/
    
    .cart-item {
      width: max-content;
      padding: 2rem 2rem;
      color: #fff;
      margin-bottom: 20px;
      background-color: rgba(0, 0, 0, 0.828);
      border: 2px solid #212529;
      border-radius: 10px;
      display: flex;
    }
    
    .title-price-x {
      width: max-content;
      display: flex;
      align-items: center;
      justify-content: space-between;
      /* border: 2px solid red; */
    }
    
    .title-price {
      display: flex;
      align-items: center;
      gap: 10px;
      font-size: 2.5rem;
    }
    
    .cart-item-price {
      background-color: #212529;
      color: white;
      font-size: 2rem;
      border-radius: 4px;
      padding: 3px 20px;
    }